## org.apache.batik.bridge.svg12
Class ContentSelectionChangedEvent

    java.lang.Object
      java.util.EventObject
          org.apache.batik.bridge.svg12.ContentSelectionChangedEvent

All Implemented Interfaces:
  java.io.Serializable

    public class ContentSelectionChangedEvent

extends java.util.EventObject

An event to signify a change to the list of selected nodes for an xbl;content element.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ContentSelectionChangedEvent(XBLOMContentElement c)` Creates a new ContentSelectionChangedEvent object.

Method Summary
`XBLOMContentElement` `getContentElement()` Returns the xbl:content element where the event originated.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContentSelectionChangedEvent

    public ContentSelectionChangedEvent(XBLOMContentElement c)

  Creates a new ContentSelectionChangedEvent object.

  Parameters:
    `c` - the xbl:content element whose selection is changing

Method Detail

### getContentElement

    public XBLOMContentElement getContentElement()

  Returns the xbl:content element where the event originated.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.